Draft Circle/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc|Arc]]
|[[Draft_Ellipse|Ellipse]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Fillet.svg
|IconL=Draft_Arc_3Points.svg
|IconR=Draft_Arc.svg
|IconR=Draft_Ellipse.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 21: Line 22:
</div>
</div>


A Draft Circle can be turned into an arc by setting its {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} properties to different values.
This tool works the same way as the [[Draft_Arc|Draft Arc]] tool, except that it creates a full circumference. To draw an ellipse use [[Draft_Ellipse|Draft Ellipse]].


[[Image:Draft_Circle_example.jpg|400px]]
[[Image:Draft_Circle_example.jpg|400px]]
Line 30: Line 31:
==Usage==
==Usage==


See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Press the {{Button|[[Image:Draft_Circle.svg|16px]] [[Draft Circle|Draft Circle]]}} button, or press {{KEY|C}} then {{KEY|I}} keys.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click a second point on the 3D view, or enter a radius value.


# There are several ways to invoke the command:
The circle can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit|Draft Edit]]}} button. Then you can move the center and radius points to a new position.
#* Press the {{Button|[[Image:Draft_Circle.svg|16px]] [[Draft_Circle|Draft Circle]]}} button.
#* Select the {{MenuCommand|Drafting → [[Image:Draft_Circle.svg|16px]] Circle}} option from the menu.
#* Use the keyboard shortcut: {{KEY|C}} then {{KEY|I}}.
# The {{MenuCommand|Arc}} task panel opens. See [[#Options|Options]] for more information.
# Pick the first point, the center of the circle, in the [[3D_view|3D view]], or type [[Draft_Coordinates|coordinates]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
# Pick the second point in the [[3D_view|3D view]], or enter a {{MenuCommand|Radius}}.


==Options==
The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.

The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 50: Line 57:
* Den skapade cirkeln kommer att ha nuvarande [[Draft_Linestyle/sv|linjestil]].
* Den skapade cirkeln kommer att ha nuvarande [[Draft_Linestyle/sv|linjestil]].
</div>
</div>

==Notes==

* A Draft Circle can be edited with the [[Draft_Edit|Draft Edit]] command.
* If the {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle. See [[Draft_Preferences#General_settings|Draft Preferences]].


==Properties==
==Properties==

A Circle object shares all properties from a [[Draft Arc|Draft Arc]], but some properties only make sense for the circle.
See also: [[property_editor|Property editor]].

A Draft Circle object is derived from a [[Part_Part2DObject|Part Part2DObject]] and inherits all its properties. It also has the following additional properties:


===Data===
===Data===

* {{PropertyData|First Angle}}: specifies the starting angle of the circle; normally 0&#176;.
{{TitleProperty|Draft}}
* {{PropertyData|Last Angle}}: specifies the ending angle of the circle; normally 0&#176;.

* {{PropertyData|Radius}}: specifies the radius of the circle.
* {{PropertyData|Make Face}}: specifies if the Circle makes a face or not. If it is {{TRUE}} a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
* {{PropertyData|Area|Area}}: (read-only) specifies the area of the face of the circle. The value will be {{value|0.0}} if {{PropertyData|Make Face}} if {{FALSE}} or the face cannot be created.
* {{PropertyData|First Angle|Angle}}: specifies the start angle of the circle, normally {{value|0&#176;}}.
:For it to be a full circle {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, a [[Draft Arc|Draft Arc]] is displayed. The values 0&#176; and 360&#176; aren't considered the same, so if these two values are used, the circle will not form a face.
* {{PropertyData|Last Angle|Angle}}: specifies the end angle of the circle, normally {{value|0&#176;}}.
* {{PropertyData|Make Face|Bool}}: specifies if the circle makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object. This property only works if the {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} have the same value. Note that {{value|0&#176;}} and {{value|360&#176;}} are not considered the same.
* {{PropertyData|Radius|Length}}: specifies the radius of the circle.


===View===
===View===

* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the circle. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
{{TitleProperty|Draft}}
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].

* {{PropertyView|Pattern|Enumeration}}: specifies the [[Draft_Pattern|Draft Pattern]] with which to fill the face of the circle. This property only works if {{PropertyData|Make Face}} is {{TRUE}} and if {{PropertyView|Display Mode}} is {{value|Flat Lines}}.
* {{PropertyView|Pattern Size|Float}}: specifies the size of the [[Draft_Pattern|Draft Pattern]].

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 71: Line 94:
</div>
</div>


To create a Draft Circle use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
The Circle tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=
Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
}}
}}


* Creates a {{incode|Circle}} object with given {{incode|radius}} in millimeters.
* Creates a {{incode|circle}} object with given {{incode|radius}} in millimeters.
** {{incode|radius}} can also be a {{incode|Part.Edge}}, whose {{incode|Curve}} attribute must be a {{incode|Part.Circle}}.
** {{incode|radius}} can also be a {{incode|Part.Edge}}, whose {{incode|Curve}} attribute must be a {{incode|Part.Circle}}.
* If a {{incode|placement}} is given, it is used; otherwise the shape is created at the origin.
* If {{incode|placement}} is {{incode|None}} the circle is created at the origin.
* If {{incode|face}} is {{incode|True}}, the circle will make a face, that is, it will appear filled.
* If {{incode|face}} is {{incode|True}}, the circle will make a face, that is, it will appear filled.
* If {{incode|startangle}} and {{incode|endangle}} are given in degrees, and have different values, they are used and the object appears as a [[Draft Arc|Draft Arc]].
* If {{incode|startangle}} and {{incode|endangle}} are given in degrees, and have different values, they are used and the object appears as a [[Draft Arc|Draft Arc]].
Line 86: Line 109:
Example:
Example:
{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft


doc = App.newDocument()
Circle1 = Draft.makeCircle(200)


circle1 = Draft.make_circle(200)
ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)


p3 = FreeCAD.Vector(-1000, -1000, 0)
zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()
}}
}}



{{Docnav
{{Docnav
|[[Draft_Arc_3Points|Arc 3Points]]
|[[Draft_Fillet|Fillet]]
|[[Draft_Arc|Arc]]
|[[Draft_Ellipse|Ellipse]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Fillet.svg
|IconL=Draft_Arc_3Points.svg
|IconR=Draft_Arc.svg
|IconR=Draft_Ellipse.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 111: Line 140:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 11:17, 4 May 2021

Draft Circle

Menyplacering
Draft -> Circle
Arbetsbänkar
Draft, Arch
Standard genväg
C I
Introducerad i version
-
Se även
Draft Arc

Description

Beskrivning

Detta verktyg ritar en cirkel genom att fråga efter två punkter, Centrum och radie, genom att välja tangenter, eller någon kombination av dessa.

A Draft Circle can be turned into an arc by setting its DataFirst Angle and DataLast Angle properties to different values.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Draft Circle button.
    • Select the Drafting → Circle option from the menu.
    • Use the keyboard shortcut: C then I.
  2. The Arc task panel opens. See Options for more information.
  3. Pick the first point, the center of the circle, in the 3D view, or type coordinates and press the Enter point button.
  4. Pick the second point in the 3D view, or enter a Radius.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Bruk

  • Det primära bruket av cirkelverktyget är att markera två punkter, centrumet och en punkt på omkretsen, vilket definierar radien.
  • Om man trycker ned ALT, så kan du välja en tangent istället för att markera en punkt. Du kan därför konstruera flera cirkeltyper genom att välja en, två eller tre tangenter.
  • Välj en punkt i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT begränsar din nya punkt i relation till föregående punkt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Om du trycker på ESC så avbryts funktionen.
  • Den skapade cirkeln kommer att ha nuvarande linjestil.

Notes

  • A Draft Circle can be edited with the Draft Edit command.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle. See Draft Preferences.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the circle. The value will be 0.0 if DataMake Face if false or the face cannot be created.
  • DataFirst Angle (Angle): specifies the start angle of the circle, normally .
  • DataLast Angle (Angle): specifies the end angle of the circle, normally .
  • DataMake Face (Bool): specifies if the circle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the DataFirst Angle and DataLast Angle have the same value. Note that and 360° are not considered the same.
  • DataRadius (Length): specifies the radius of the circle.

View

Draft

  • VyPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the circle. This property only works if DataMake Face is true and if VyDisplay Mode is Flat Lines.
  • VyPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

Skriptning

Den skapade cirkeln är ett Del föremå som innehåller en kant med endast ett hörn.

To create a Draft Circle use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creates a circle object with given radius in millimeters.
    • radius can also be a Part.Edge, whose Curve attribute must be a Part.Circle.
  • If placement is None the circle is created at the origin.
  • If face is True, the circle will make a face, that is, it will appear filled.
  • If startangle and endangle are given in degrees, and have different values, they are used and the object appears as a Draft Arc.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()